# Forgejo teams

A team is a group of people who work together on a specific area to further Forgejo.

Some of the teams are trusted with access to exclusive resources that require credentials. To participate in such a team someone can open a pull request to add their name and their membership will be decided by the Forgejo community (see the [decision making document](DECISION-MAKING.md) for more information).

## Secrets keeper

Purpose: [See the documentation](https://codeberg.org/forgejo/forgejo/src/branch/forgejo/CONTRIBUTING/SECRETS.md).

Accountability:

* Keep the Forgejo credentials (social accounts, release keys, etc.) in a safe place.

Team members:

* https://codeberg.org/Gusted
* https://codeberg.org/oliverpool
* https://codeberg.org/fnetX
* https://codeberg.org/caesar
* https://codeberg.org/realaravinth

## Admins

Purpose: The team has administrative access to all repositories except those with Forgejo credentials.

Accountability:

* Grant access to team members depending on what they need.

Team members:

* https://codeberg.org/fr33domlover
* https://codeberg.org/Gusted
* https://codeberg.org/oliverpool
* https://codeberg.org/Ryuno-Ki
* https://codeberg.org/xy
* https://codeberg.org/realaravinth
* https://codeberg.org/circlebuilder
* https://codeberg.org/caesar
* https://codeberg.org/fnetX
* https://codeberg.org/gapodo

## Accessibility

Purpose: Work on improving Forgejo accessibility.

Team members:

* https://codeberg.org/fsologureng
* https://codeberg.org/Ryuno-Ki

## Devops

Purpose: The team cares for the resources that Forgejo depends on (CI, static web site hosting). The team has administrative access to all repositories involved in the CI/CD pipelines (code, releases, website, etc.).

Accountability:

* Fix problems that prevent the resources that Forgejo depends on from running.

Team members:

* https://codeberg.org/gapodo
* https://codeberg.org/fnetX

## Contributors

Purpose: Improve Forgejo. The team has write access to all repositories but no access to Forgejo credentials.

Team members:

* https://codeberg.org/earl-warren
* https://codeberg.org/gapodo
* https://codeberg.org/crystal
* https://codeberg.org/KaKi87
* https://codeberg.org/fsologureng

## Chatrooms / matrix

Purpose: manage the Matrix chatrooms

Accountability:

* Address technical problems that prevent people/bots from participating

Team members:

* https://matrix.to/#/#forgejo-development:matrix.org
  * https://codeberg.org/caesar
  * https://codeberg.org/fnetX
  * https://codeberg.org/gapodo
  * https://codeberg.org/Gusted
  * https://codeberg.org/xy
* https://matrix.to/#/#forgejo-chat:matrix.org
  * https://codeberg.org/caesar
  * https://codeberg.org/Gusted
  * https://codeberg.org/fr33domlover
* https://matrix.to/#/#forgejo-releases:a-0.me
  * https://matrix.to/#/@ph:a-0.me

## Releases

Purpose: [See the documentation](https://codeberg.org/forgejo/forgejo/src/branch/forgejo/CONTRIBUTING/RELEASE.md). The team is trusted with the primary GPG key used to sign Forgejo releases.

Accountability:

* Publish Forgejo releases.

Team members:

* https://codeberg.org/crystal
* https://codeberg.org/gapodo
* https://codeberg.org/release-team (this is a shared account)

## Security

Purpose: [See the documentation](https://codeberg.org/forgejo/forgejo/src/branch/forgejo/CONTRIBUTING/SECURITY.md).

Accountability:

* Handle security vulnerabilities.

Team members:

* https://codeberg.org/Gusted [February 2023 Agreement](https://codeberg.org/forgejo/meta/issues/142)
* https://codeberg.org/dachary [February 2023 Agreement](https://codeberg.org/forgejo/meta/issues/139)
* https://codeberg.org/fnetX [February 2023 Agreement](https://codeberg.org/forgejo/meta/issues/141)

## Social account

Purpose: [See the documentation](teams/SOCIAL.md)

Accountability: reply to questions and publish news.

Team members:

* https://codeberg.org/crystal https://hachyderm.io/@crystal
* https://codeberg.org/caesar https://indieweb.social/@caesar

## Well-being

Purpose: [See the documentation](https://codeberg.org/forgejo/forgejo/src/branch/forgejo/CONTRIBUTING/COC.md).

Accountability:

* Defuse tensions before they escalate

Team members:

* https://codeberg.org/Gusted

## Moderation

Purpose: [See the documentation](https://codeberg.org/forgejo/forgejo/src/branch/forgejo/CONTRIBUTING/COC.md).

Accountability:

* Enforce the Code of Conduct

Team members:

* (none)

## Decision-making

Purpose: The Forgejo team effectively and successfully makes collaborative
decisions that tend to and integrates the variety of needs and concerns that
arise

Accountabilities:

- Be a point of contact for challenges that arise during attempts to make
  decisions
- Look for further external support when needed

Resources maintained:

- <DECISION-MAKING.md> and the other agreement files it links to

Team members:

- [fr33domlover](https://codeberg.org/fr33domlover)
  ([Matrix](https://matrix.to/#/@pere:towards.vision);
  [Fediverse](https://micro.towards.vision/@pere);
  [Email](mailto:pere@towards.vision);
  `fr33domlover` on Libera Chat)

## [Github organisation](https://github.com/forgejo) owners

- [caesar](https://github.com/caesar)
- [gapodo](https://github.com/gapodo)
- [gusted](https://github.com/Gusted)
- [oliverpool](https://github.com/oliverpool)
- [crystal](https://github.com/crystalcommunication)

## FreeBSD

Purpose: to provide advice when needed about FreeBSD builds and the FreeBSD
ports tree.

Accountabilities:

Be a point of contact for all FreeBSD & Forgejo related matters

Resources maintained:

https://codeberg.org/forgejo-contrib/freebsd

Team members:

- [Sam Whited](https://codeberg.org/samwhited)
- https://codeberg.org/evilham
