## Forgejo name, tagline, logo and mascot

### Name and pronounciation

The name is `Forgejo`, inspired by Forĝejo – the Esperanto word for forge. [#50](https://codeberg.org/forgejo/meta/issues/50)

The IPA notation is `/forˈd͡ʒe.jo/` [#57](https://codeberg.org/forgejo/meta/issues/57)

### Tagline

Forgejo – `Beyond coding. We forge.` [#42](https://codeberg.org/forgejo/meta/issues/42)

### Logo

The Forgejo logo is an [SVG image](./logo/forgejo.svg) and is also available [in PNG format](./logo/forgejo.png).

The primary color of the logo and the Forgejo theme is `#fb923c`.

Various versions are available for different purposes, as shown in the table below:

| Logo | Links | Notes |
| ---- | ----- | ----- |
| <img src="./logo/forgejo.svg" alt="" width="100" /> | [SVG](./logo/forgejo.svg), [PNG](./logo/forgejo.png) | Standard version of the logo.
| <img src="./logo/forgejo-padded.svg" alt="" width="100" /> | [SVG](./logo/forgejo-padded.svg), [PNG](./logo/forgejo-padded.png) | Padded version which can be cropped to a circle, for social media avatars etc.
| <img src="./logo/forgejo-monochrome.svg" alt="" width="100" /> | [SVG](./logo/forgejo-monochrome.svg), [PNG&nbsp;(black)](./logo/forgejo-black.png), [PNG&nbsp;(white)](./logo/forgejo-white.png) | Monochrome version of the logo. SVG version uses `currentColor` to inherit the current text colour.
| <img src="./logo/forgejo-animated.svg" alt="" width="100" /> | [SVG](./logo/forgejo-animated.svg), [PNG](./logo/forgejo-animated.png) | Animated version, used as a loading animation in the Forgejo UI.

The logo was created by [Caesar Schinas](https://caesarschinas.com/) and is licensed under the
[Creative Commons Attribution-ShareAlike 4.0 International (CC BY-SA 4.0) license](https://creativecommons.org/licenses/by-sa/4.0/).

An [exemption to the Attribution requirement](./logo/forgejo-logo-license-exemption.txt) is granted to the Forgejo project.

All logo files are in the [`logo`](./mascot) directory of this repo. [#23](https://codeberg.org/forgejo/meta/issues/23#issuecomment-693408)

### Mascot

<img src="./mascot/2022-11-27_Forgejo_by-David-Revoy_small.jpg" alt="Logo" width="150" />

[krita](./mascot/2022-11-27_Forgejo.kra) and [jpg](./mascot/2022-11-27_Forgejo_by-David-Revoy.jpg) files are in the [`mascot`](./mascot) directory of this repo. [#56](https://codeberg.org/forgejo/meta/issues/56)

Made by [David Revoy](https://www.peppercarrot.com/en/viewer/comissions-src__2022-11-27_Forgejo_by-David-Revoy.html), licensed under [Creative Commons Attribution 4.0 International license](https://creativecommons.org/licenses/by/4.0/).
