# Forgejo Governance meeting 2023-Jan-27

::: info
Purpose: Work towards official launch of governance system
:::

Recordings (missing 15 minutes in the middle):

- https://codeberg.org/forgejo/meta/src/branch/readme/2023-01-27-videoconference-governance-part1.mp3
- https://codeberg.org/forgejo/meta/src/branch/readme/2023-01-27-videoconference-governance-part2.mp3

## 📑 Proposed agenda items

A place to propose/prioritize agenda items collaboratively in advance.

* fr33: Clear pathway for self-evolving and self-adapting the system from now on (e.g. video meeting every month where we surface challenges and adapt our agreements? but something everyone can commit to with trust in the process)
* fr33: For launch, how to officially gather feedback/consent?
* fr33: Decide whether to use a decision making table, and how to integrate it with the TEAMS file
* fr33: Explore and gather requirements for mechanism for appointing people to a role
* fr33: Decide whether we need a board AKA vision team, that will be responsible for the roadmap, and may include people from outside of Forgejo who are stakeholders / guardians, e.g. a person from Codeberg / a person from FSF / etc.
* fr33: Decide how often to meet + times of next meeting(s)

* Dachary: Decision making process
* Dachary: Which team should go first to resign / be appointed according to the decision making process?
* Dachary: How to move forward for copyleft? https://codeberg.org/forgejo/meta/issues/86
* Dachary: How to move forward for paid staff commitment? https://codeberg.org/forgejo/meta/issues/104

* circlebuilder: Scope / definition / topics of Governance? (my definition of Governance is 'everything related to Forgejo project activities', but it is unclear to me what Forgejo's definition is)
* circlebuilder: Governance project track + kanban board (continual improvement)
* circlebuilder: Project structure change: Governance repo (I feel it is unclear that Meta repo has docs about Teams, Decision making, etc. and that there is a separate Sustainability repo. I'd propose a Governance repo that holds these docs and also contains the Sustainability. Everything regarding to governing a sustainable project in one place. (In other words, rename Sustainability to Governance and move docs from Meta to it))

* fsologureng: Community values documentation: I think there are more than currently listed, f.e. privacy care. And it should be added to the website.
* fsologureng: Agreements documentation: We are advanced in new governance agreements as reader treatment and its scope is not clear to me; team agreement? communication team agreement (there isn't one)? community? https://codeberg.org/forgejo/website/issues/66

## 👥 Roles

* 🌝 ++Attending++: Felipe S (fsologureng), tallship, fr33, Loic (late)
* 🪐 ++Facilitating++: fr33
* ⌨️ ++Note-taking & timekeeping++: fr33
* 📼 ++Recording++: Loic

## 📑 Notes

* fr33: For launch, how to officially gather feedback/consent?
    * [ ] fr33: Create clarity about how to create teams, who decides who decides, how to avoid situation of small team that doesn't let new peple join; think which systems we can have in place
* Dachary: Decision making process
    * [ ] fr33: Make process instructions clearer, perhaps frame as Advice Process? Perahps also PR/issue hints? Community members need to be able to understand how we make decisions (documentation, visibility), have an intro/blogpost that communicates it to the community and why we do it the way we do; People will wonder why we're reinventing the wheel, so say which tools we're using
* fsologureng: Agreements documentation: We are advanced in new governance agreements as reader treatment and its scope is not clear to me; team agreement? communication team agreement (there isn't one)? community? https://codeberg.org/forgejo/website/issues/66
    * How are people notified about agreements being made?
        * Loic: Person initiating decision notifies relevant people
    * [ ] fr33: Feedback system for the governance system to be really accepted/trusted by the community
    * [ ] fr33: How does a project member decide when to use advice process, and when to invite mutual influencing; when are issues enough and when to conveve via matrix/jitsi
    * [ ] fr33: Read that issue, extract concerns/considerations from it
* fr33: Decide whether we need a board AKA vision team, that will be responsible for the roadmap, and may include people from outside of Forgejo who are stakeholders / guardians, e.g. a person from Codeberg / a person from FSF / etc.
    * [ ] fr33: Integrate Loic's concern: Against external people having power, ok to get advice from them, make sure community builds roadmap and that it's for the users and not for interssts of small group of people

* [ ] fr33: Time&frequency for governance meetings, e.g. open issue with changing time/date
* [ ] fr33: Do over meta repo issues and PRs about governance&agreements, see how it's going
* [ ] fr33: Ask Loic if there was a specific case of someone not understanding the decision making system
* [ ] fr33: With help as needed: Make list of tasks/roles within Forgejo, and level of participation required for each

* For each agenda item:
  * New info
  * New ideas
  * Decisions made + when to review
  * Tasks assigned + if/when to review/support
